<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Theme Name: itheme2
| Theme URI: http://themify.me/themes/itheme2
| Version: 1.0.0
| Author: Themify
| Author URI: http://www.themify.me
| Converted to PHP-Fusion by: Khalid545 (http://khalidb.co.cc/)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once THEME."config.php";
require_once INCLUDES."theme_functions_include.php";
require_once THEME."functions.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale; add_handler("theme_output");
	
	if (SKIN != "Default") add_to_head("<link rel='stylesheet' href='".STATIC_DOMAIN."themes/itheme2/skins/".SKIN."/style.css' type='text/css' media='screen' />");
	add_to_head("<!--[if lte IE 8]><link rel='stylesheet' href='".STATIC_DOMAIN."themes/itheme2/ie.css' type='text/css' media='screen' /><![endif]-->");

	//Header
	echo "<div id='pagewrap'>\n";
		echo "<div id='header' class='pagewidth'>\n";
			echo "<div id='site-logo'>".showbanners()."</div>\n";
			if (RSS) {
				echo "<div class='social-widget'>\n";
				echo "<div class='rss'><a href='".RSS."'>RSS</a></div>\n";
				echo "</div>\n";
			}
			$locale['search'] = str_replace($locale['global_200'], "", $locale['global_202']);
			echo "<form action='".BASEDIR."search.php' id='searchform' method='get'><input type='text' onblur='if (this.value == \"\") {this.value = \"".$locale['search']."...\";}' onfocus='if (this.value == \"".$locale['search']."...\") {this.value = \"\";}' id='s' name='s' value='".$locale['search']."...' /></form>\n";
			echo "<div id='nav-bar'>";
			echo navigation();
			echo "</div>\n";
		echo "</div>\n";
		echo "<div class='clearfix' id='body'>\n";
			echo "<div class='".((!RIGHT && !LEFT) || !SIDEBAR ? "fullwidth" : "")."' id='content'>\n";
				echo U_CENTER.CONTENT.L_CENTER;
			echo "</div>\n";
			if ((RIGHT || LEFT) && SIDEBAR) echo "<div id='sidebar'>\n".RIGHT.LEFT."</div>\n";
		echo "</div>\n";
		echo "<div class='pagewidth clearfix' id='footer'>\n";
			echo "<div class='col col3-1 first'></div>\n";
			echo "<div class='col col3-1 '></div>\n";
			echo "<div class='col col3-1 '></div>\n";
			echo "<div class='footer-text'>"/*.stripslashes($settings['footer'])*/."<div class='credits'>".showcopyright()."<br />Theme by <a href='http://themify.me'>Themify.me</a>. Converted to PHP-Fusion by: <a href='http://khalidb.co.cc/'>Khalid</a>.</div></div>\n";
		echo "</div>\n";
	echo "</div>\n";
	get_footer();
}

function render_comments($c_data, $c_info){
	global $locale;
	echo "<div class='commentwrap'>\n";
	if (!empty($c_data)){
		echo "<h4 class='comment-title' id='comments'>".$locale['c100']."</h4>\n";
		echo "<ol class='commentlist'>\n";
			foreach($c_data as $data) {
			echo "<li id='c".$data['comment_id']."'>\n";
			echo "<p class='comment-author'>\n";
			echo "<cite>".$data['comment_name']."</cite><br />\n";
			echo "<small class='comment-time'><strong>".$data['comment_datestamp']."</strong> ".($data['edit_dell'] ? "[".$data['edit_dell']."]" : "")."</small>";
			echo "</p>\n";
			echo "<div class='commententry'>\n<p>".$data['comment_message']."</p>\n</div>\n";
			echo "</li>\n";
		}
		echo "</ol>\n";
		if ($c_info['c_makepagenav']) {
			echo "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n";
		}
		if ($c_info['admin_link']) {
			echo "<div style='padding-top:5px;' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		
	} else {
		echo $locale['c101']."\n";
	}
	echo "</div>\n";
}

function render_news($subject, $news, $info) {
	global $locale, $settings;
	$subject = strip_tags($subject);
	echo "<div class='post'>\n";
		echo "<p class='post-date'>\n";
			echo "<span class='month'>".showdate("%b", $info['news_date'])."</span>\n";
			echo "<span class='day'>".showdate("%d", $info['news_date'])."</span>\n";
			echo "<span class='year'>".showdate("%Y", $info['news_date'])."</span>\n";
		echo "</p>\n";
		echo "<h2 class='post-title'><a href='".FUSION_SELF."?readmore=".$info['news_id']."'>".$subject."</a></h2>\n";
		echo "<p class='post-meta'>".$locale['global_070'].profile_link($info['user_id'], $info['user_name'], $info['user_status'])."  ".newscat($info);
		if ($info['news_allow_comments'] && $settings['comments_enabled'] == "1") echo "<span class='post-comments'><a href='".FUSION_SELF."?readmore=".$info['news_id']."#comments'>".$info['news_comments']."</a></span>\n";
		echo "</p>\n";
		echo $news;
	echo "</div>\n";
}

function render_article($subject, $article, $info) {
	global $locale, $settings;
	echo "<div class='post'>\n";
		echo "<p class='post-date'>\n";
			echo "<span class='month'>".showdate("%b", $info['article_date'])."</span>\n";
			echo "<span class='day'>".showdate("%d", $info['article_date'])."</span>\n";
			echo "<span class='year'>".showdate("%Y", $info['article_date'])."</span>\n";
		echo "</p>\n";
		echo "<h2 class='post-title'><a href='".FUSION_SELF."?article_id=".$info['article_id']."'>".$subject."</a></h2>\n";
		echo "<p class='post-meta'>".$locale['global_070'].profile_link($info['user_id'], $info['user_name'], $info['user_status'])."  ".articlecat($info);
		if ($info['article_allow_comments'] && $settings['comments_enabled'] == "1") echo "<span class='post-comments'><a href='".FUSION_SELF."?article_id=".$info['article_id']."#comments'>".$info['article_comments']."</a></span>";
		echo "</p>\n";
		echo ($info['article_breaks'] == "y" ? nl2br($article) : $article);
	echo "</div>\n";
}

function opentable($title) {
	echo "<div class='post'>\n";
	echo "<h2 class='ttitle'>".$title."</h2>\n";
}

function closetable() {
	echo "</div>\n";
}

function openside($title, $collapse = false, $state = "on") {
	global $panel_collapse; $panel_collapse = $collapse;
	echo "<div class='widgetwrap widget'>\n";
	echo "<h4 class='widgettitle'>".$title."</h4>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<div class='panel-button'>".panelbutton($state, $boxname)."</div>\n";
	}
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
	global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</div>\n";
}

?>